Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000222Core InformTablespublic2010-07-29 13:222010-10-28 00:30
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000222: Declaring the type of a local to be table column causes an error about an empty list literal
DescriptionThe attached source yields this problem message:

Problem. The phrase 'let C be a table column' tries to use 'let' to give a temporary name to the empty list '{ }', but because it's empty, I can't tell what kind of value the list should have. Try 'let X be a list of numbers' (or whatever) instead.
 See the manual: 20.2 > Constant lists
I was trying to match one of these phrases:

1. let (c - a new name) be (table column - description of relations of values to values)
2. let (c - a new name) be (table column - name of kind)
3. let (c - a new name) be (table column - value)
4. let (c - a temporary named value) be (table column - value)
This was what I found out:

C = something unrecognised
table column = a table column

``Let C be a object valued table column,'' on the other hand, is interpreted correctly and produces a useful error message.
Minimal Source Text To Reproduce
There is a room.
When play begins:
	let C be a table column.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-09-25 01:49

Accidentally sent to the wrong problem message; fixed.

- Issue History
Date Modified Username Field Change
2010-07-29 13:22 EmacsUser New Issue
2010-07-29 15:06 jmcgrew Status new => acknowledged
2010-09-06 23:30 jmcgrew Status acknowledged => confirmed
2010-09-25 01:49 graham Note Added: 0000581
2010-09-25 01:49 graham Status confirmed => resolved
2010-09-25 01:49 graham Resolution open => fixed
2010-09-25 01:49 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker